/*--------------------------------------------------------------------------*/
/* Copyright 2020-2023 NXP                                                  */
/*                                                                          */
/* NXP Confidential. This software is owned or controlled by NXP and may    */
/* only be used strictly in accordance with the applicable license terms.   */
/* By expressly accepting such terms or by downloading, installing,         */
/* activating and/or otherwise using the software, you are agreeing that    */
/* you have read, and that you agree to comply with and are bound by, such  */
/* license terms. If you do not agree to be bound by the applicable license */
/* terms, then you may not retain, install, activate or otherwise use the   */
/* software.                                                                */
/*--------------------------------------------------------------------------*/

/**
 * @file  mcuxClEcc_WeierEcc_KeyGenerate_Internal.h
 * @brief internal header for KeyGeneration over Weierstrass curve
 */


#ifndef MCUXCLECC_WEIERECC_KEYGENERATE_INTERNAL_H_
#define MCUXCLECC_WEIERECC_KEYGENERATE_INTERNAL_H_


#include <stdbool.h>
#include <mcuxClConfig.h> // Exported features flags header
#include <mcuxClKey_Types.h>
#include <mcuxCsslFlowProtection.h>
#include <mcuxClCore_FunctionIdentifiers.h>
#include <mcuxClSession.h>


#ifdef __cplusplus
extern "C" {
#endif




#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* MCUXCLECC_WEIERECC_KEYGENERATE_INTERNAL_H_ */
