/*--------------------------------------------------------------------------*/
/* Copyright 2020-2023 NXP                                                  */
/*                                                                          */
/* NXP Confidential. This software is owned or controlled by NXP and may    */
/* only be used strictly in accordance with the applicable license terms.   */
/* By expressly accepting such terms or by downloading, installing,         */
/* activating and/or otherwise using the software, you are agreeing that    */
/* you have read, and that you agree to comply with and are bound by, such  */
/* license terms. If you do not agree to be bound by the applicable license */
/* terms, then you may not retain, install, activate or otherwise use the   */
/* software.                                                                */
/*--------------------------------------------------------------------------*/

/**
 * @file  mcuxClKey.h
 * @brief Top-level include file for the mcuxClKey component
 *
 * @defgroup mcuxClKey mcuxClKey
 * @brief mcuxClKey component
 */

#ifndef MCUXCLKEY_H_
#define MCUXCLKEY_H_

#include <mcuxClConfig.h> // Exported features flags header
#include <mcuxClKey_Types.h>
#include <mcuxClKey_Functions.h>
#include <mcuxClKey_Constants.h>
#include <mcuxClKey_MemoryConsumption.h>
#include <mcuxClKey_ProtectionMechanisms.h>
#ifdef MCUXCL_FEATURE_KEY_DERIVATION
#include <mcuxClKey_DerivationAlgorithms.h>
#endif /* MCUXCL_FEATURE_KEY_DERIVATION */

#endif /* MCUXCLKEY_H_ */
