/*--------------------------------------------------------------------------*/
/* Copyright 2022 NXP                                                       */
/*                                                                          */
/* NXP Confidential. This software is owned or controlled by NXP and may    */
/* only be used strictly in accordance with the applicable license terms.   */
/* By expressly accepting such terms or by downloading, installing,         */
/* activating and/or otherwise using the software, you are agreeing that    */
/* you have read, and that you agree to comply with and are bound by, such  */
/* license terms. If you do not agree to be bound by the applicable license */
/* terms, then you may not retain, install, activate or otherwise use the   */
/* software.                                                                */
/*--------------------------------------------------------------------------*/

/**
 * @file mcuxClOsccaSm2.h
 * @brief Top level header of mcuxClOsccaSm2 component
 *
 * @defgroup mcuxClOsccaSm2 mcuxClOsccaSm2
 * @brief SM2 Cryptography component
 */


#ifndef MCUXCLOSCCASM2_H_
#define MCUXCLOSCCASM2_H_

#include <mcuxClConfig.h> // Exported features flags header
#include <mcuxClOsccaSm2_Types.h>
#include <mcuxClOsccaSm2_Functions.h>
#include <mcuxClOsccaSm2_Constants.h>
#include <mcuxClOsccaSm2_KeyTypes.h>
#include <mcuxClOsccaSm2_MemoryConsumption.h>
#ifdef MCUXCL_FEATURE_SM2_INTERNAL
#include <mcuxClOsccaSm2_ModeConstants.h>
#endif /* MCUXCL_FEATURE_SM2_INTERNAL */
#include <mcuxClOsccaSm2_MemoryConsumption.h>

#endif /* MCUXCLOSCCASM2_H_ */
