/*--------------------------------------------------------------------------*/
/* Copyright 2020-2022 NXP                                                  */
/*                                                                          */
/* NXP Confidential. This software is owned or controlled by NXP and may    */
/* only be used strictly in accordance with the applicable license terms.   */
/* By expressly accepting such terms or by downloading, installing,         */
/* activating and/or otherwise using the software, you are agreeing that    */
/* you have read, and that you agree to comply with and are bound by, such  */
/* license terms. If you do not agree to be bound by the applicable license */
/* terms, then you may not retain, install, activate or otherwise use the   */
/* software.                                                                */
/*--------------------------------------------------------------------------*/

/** @file  mcuxClOsccaSm3_Constants.h
 *  @brief Constants for use with the mcuxClOsccaSm3 component */

#ifndef MCUXCLOSCCASM3_CONSTANTS_H_
#define MCUXCLOSCCASM3_CONSTANTS_H_

/**
 * @defgroup MCUXCLOSCCASM3_OUTPUT_SIZE_ MCUXCLOSCCASM3_OUTPUT_SIZE_
 * @brief Defines for digest sizes
 * @ingroup mcuxClOsccaSm3_Constants
 * @{
 */
#define MCUXCLOSCCASM3_OUTPUT_SIZE_SM3      (32U) ///< SM3 output size: 256 bit (32 bytes)
/**@}*/

/**@}*/

#endif /* MCUXCLOSCCASM3_CONSTANTS_H_ */
